> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# DexScreener - Trending

> Retrieve trending meta categories from DexScreener



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/dexscr/{chain}/trending
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/dexscr/{chain}/trending:
    get:
      tags:
        - DexScreener
      summary: DexScreener - Trending
      description: Retrieve trending meta categories from DexScreener
      operationId: get.dexscr.trending
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: limit
          in: query
          description: Number of results to return
          required: false
          schema:
            type: integer
            format: int64
            default: 20
            maximum: 100
            minimum: 1
          style: form
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DexscrTrendingMeta'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    DexscrTrendingMeta:
      type: object
      required:
        - slug
      properties:
        description:
          type:
            - string
            - 'null'
          description: Meta category description
        iconType:
          type:
            - string
            - 'null'
          description: Icon type (e.g. image)
        iconValue:
          type:
            - string
            - 'null'
          description: Icon URL or identifier value
        liquidity:
          type:
            - number
            - 'null'
          format: double
          description: Aggregate liquidity in USD
        marketCap:
          type:
            - number
            - 'null'
          format: double
          description: Aggregate market capitalization in USD
        marketCapChange:
          description: Market cap change percentages by period in JSON format
        name:
          type:
            - string
            - 'null'
          description: Meta category display name
        slug:
          type: string
          description: Meta category slug identifier
          example: ai
        tokenCount:
          type:
            - integer
            - 'null'
          format: int64
          description: Number of tokens in this meta category
        volume:
          type:
            - number
            - 'null'
          format: double
          description: Aggregate trading volume in USD
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````